Package org.apache.lucene.monitor

## Class QueryMatch

- java.lang.Object
- - org.apache.lucene.monitor.QueryMatch

- Direct Known Subclasses:
    `ExplainingMatch`, `HighlightsMatch`, `ScoringMatch`

      public class QueryMatch
      extends Object

  Represents a match for a specific query and document

  Derived classes may contain more information (such as scores, highlights, etc)

  See Also:
    `ExplainingMatch`, `ScoringMatch`, `HighlightsMatch`

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static MatcherFactory<QueryMatch>` | `SIMPLE_MATCHER` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `QueryMatch​(String queryId)` | Creates a new QueryMatch for a specific query and document

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` |
    `String` | `getQueryId()` |
    `int` | `hashCode()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### SIMPLE_MATCHER

          public static final MatcherFactory<QueryMatch> SIMPLE_MATCHER

  - ### Constructor Detail

    - #### QueryMatch

          public QueryMatch​(String queryId)

      Creates a new QueryMatch for a specific query and document
      Parameters:
        `queryId` - the query id

  - ### Method Detail

    - #### getQueryId

          public String getQueryId()

      Returns:
        the queryid of this match

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`